import { Component, OnInit } from '@angular/core';
import { EditTagComponent } from '../components/edit-tag/edit-tag.component';
import { EditRatingStarComponent } from '../components/edit-rating-star/edit-rating-star.component';

@Component({
  selector: 'app-page-test',
  templateUrl: './page-test.component.html',
  styleUrls: ['./page-test.component.scss'],
  standalone: true,
  imports:[
    EditTagComponent,EditRatingStarComponent
  ]
})
export class PageTestComponent  implements OnInit {

  constructor() { }

  ngOnInit() {}

   // 星星打分
   currentScore: number = 0; // 初始分值

   handleScoreChange(newScore: number) {
     this.currentScore = newScore;
     console.log('新分值:', newScore); // 处理分值变化
   }
 
   // 编辑标签
   editTags:Array<string> = []
   setTagsValue(ev:any){
     console.log("setTagsValue",ev)
     this.editTags = ev;
   }
   

}
